summaryrefslogtreecommitdiffstats
path: root/jjb/scripts
diff options
context:
space:
mode:
authorDave Wallace <dwallacelf@gmail.com>2020-10-16 15:47:01 +0000
committerDave Wallace <dwallacelf@gmail.com>2020-10-16 15:50:04 +0000
commit5da39791f4350362cf1ca749e53a5e517efa2245 (patch)
tree30bf4d14d04b889999d3cd9ae397e9eee222b46a /jjb/scripts
parent7084bb364b1b97cad08595c5c9e707a867584a60 (diff)
Fix setup_vpp_ubuntu_docker_test.sh on vpp stable branches
- Fix set -e bug on snergster executors for vpp stable/* branches introduced by https://gerrit.fd.io/r/c/ci-management/+/29209 Change-Id: Icb261cf0a198f9c76feca689e4013a5dd0247f8b Signed-off-by: Dave Wallace <dwallacelf@gmail.com>
Diffstat (limited to 'jjb/scripts')
-rw-r--r--jjb/scripts/setup_vpp_ubuntu_docker_test.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/jjb/scripts/setup_vpp_ubuntu_docker_test.sh b/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
index 00d14c3ea..8ed0acaee 100644
--- a/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
+++ b/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
@@ -14,6 +14,7 @@ echo "---> jjb/scripts/setup_vpp_ubuntu_docker_test.sh"
set -e -o pipefail
OS_ID=$(grep '^ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
+OS_VERSION_ID=$(grep '^VERSION_ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
if [ -n ${DOCKER_TEST} ] ; then
# for 4 cores:
@@ -33,9 +34,9 @@ fi
# This will remove any previously installed external packages
# for old branch builds
if [ "${GERRIT_BRANCH}" != "master" ]; then
+ echo "Removing $OS_ID-$OS_VERSION_ID package 'vpp-ext-deps'"
if [ "${OS_ID,,}" == "ubuntu" ] || [ "${OS_ID,,}" == "debian" ] ; then
- [ -n "$(dpkg -l | grep vpp-ext-deps)" ] \
- && sudo apt-get -y remove vpp-ext-deps
+ sudo apt-get -y remove vpp-ext-deps || true
elif [ "${OS_ID,,}" == "centos" ]; then
sudo yum -y erase vpp-ext-deps || true
sudo yum clean all || true